Skip to content
Last updated

API / geotoolkit / map / sources / Image / Image

Class: Image

sources.Image.Image

Image source that allows user to get map data as an image using the format provided

Hierarchy

Table of contents

Constructors
  • [new Image(options)](/solutions/geotoolkit/GeoToolkit_JS/apis/classes/geotoolkit.map.sources.image.image.md#new image(options))
Methods
Css Properties
Name Type Description
systemstringInitial data coordinate system
urlstringData server url

Contents

Constructors

new Image(options)

• new Image(options?)

Creates image source

Parameters

Name Type Description
Optional optionsOptionsoptions

Overrides

AbstractSource.constructor

Methods

clear

▸ clear(): Image

Notifies source to remove all data added.

Returns

Image

this

Overrides

AbstractSource.clear


dispose

▸ dispose(): void

Disposes this source, once disposed it should not be used anymore.<br>

Returns

void

Inherited from

AbstractSource.dispose


getClassName

▸ getClassName(): string

Returns

string

Inherited from

AbstractSource.getClassName


getCopyright

▸ getCopyright(): string

Returns copyright information.

Returns

string

Inherited from

AbstractSource.getCopyright


getDataLoader

▸ Protected getDataLoader(): AbstractLoader

Returns server data loader (if exists)

Returns

AbstractLoader

Inherited from

AbstractSource.getDataLoader


getInflateRatio

▸ getInflateRatio(): number

Returns current inflate ratio

Returns

number


getInitialCoordinateSystem

▸ getInitialCoordinateSystem(): AbstractSystem

Gets current data initial coordinate system.

Returns

AbstractSystem

Inherited from

AbstractSource.getInitialCoordinateSystem


getLayers

▸ getLayers(): LayerServerData[]

Returns layers JSON data loaded from the server Should be used asynchronically after loadServerData() method is called

Returns

LayerServerData[]


getMapCoordinateSystem

▸ getMapCoordinateSystem(): AbstractSystem

Gets current map coordinate system.

Returns

AbstractSystem

Inherited from

AbstractSource.getMapCoordinateSystem


getModelLimits

▸ getModelLimits(): Rect

Returns the current data model limits (presumably loaded from the server if it's settled)

Returns

Rect

Inherited from

AbstractSource.getModelLimits


getProperties

▸ getProperties(): OptionsOut

Returns properties

Returns

OptionsOut

properties

Inherited from

AbstractSource.getProperties


getServerData

▸ getServerData(): JSONObject | XMLDocument

Returns server data loaded from the server Should be used asynchronically after loadServerData() method is called

Returns

JSONObject | XMLDocument

Inherited from

AbstractSource.getServerData


getServerURL

▸ getServerURL(): string | string[]

Gets the server url that is currently used for requests

Returns

string | string[]

server url

Inherited from

AbstractSource.getServerURL


getSourceTimeout

▸ getSourceTimeout(): number

Returns timeout

Returns

number


getTransformerFromMap

▸ getTransformerFromMap(): Transformer

Gets transformer to transform data from map coordinate system

Returns

Transformer

Inherited from

AbstractSource.getTransformerFromMap


getTransformerToMap

▸ getTransformerToMap(): Transformer

Gets transformer to transform data to map coordinate system

Returns

Transformer

Inherited from

AbstractSource.getTransformerToMap


getVisibleLayers

▸ getVisibleLayers(): (string | number)[]

Returns the server layer ids that are requested.

Returns

(string | number)[]

layers


hasEventListener

▸ hasEventListener(type, callback?): boolean

Check if a list of event listeners for this type contains this listener

Parameters

Name Type Description
typestringtype of event or property
Optional callbackFunctionto be called, if null, check if any callback is registered

Returns

boolean

Inherited from

AbstractSource.hasEventListener


hideLayers

▸ hideLayers(id?): Image

Adds the passed in ID's to the list of layers to hide

Parameters

Name Type Description
Optional idstring | number | (string | number)[]ID(s) for the layers to show

Returns

Image

this


initLoader

▸ Protected initLoader(loader?): Image

Initializes the loader provided

Parameters

Name Type Description
Optional loaderAbstractLoaderloader to use

Returns

Image

this

Inherited from

AbstractSource.initLoader


isDataLoaded

▸ isDataLoaded(): boolean

Returns true if server data is already loaded (or no loader provided)

Returns

boolean

Inherited from

AbstractSource.isDataLoaded


isDataReady

▸ isDataReady(): boolean

Checks if source (current visible) data is loaded and ready to be rendered

Returns

boolean

Inherited from

AbstractSource.isDataReady


isDisposed

▸ isDisposed(): boolean

Returns whether this object has been disposed

Returns

boolean

Inherited from

AbstractSource.isDisposed


isLoading

▸ isLoading(): boolean

Checks if some of the requests haven't been finished yet. Returns true if some data is loading, false otherwise.

Returns

boolean

Inherited from

AbstractSource.isLoading


isSilent

▸ isSilent(): boolean

Return true if the event dispatcher doesn't notify any events

Returns

boolean

Inherited from

AbstractSource.isSilent


loadServerData

▸ loadServerData(): Promise<Image&gt;

Returns promise that is loaded when server settings are ready to process

Returns

Promise<Image&gt;

Inherited from

AbstractSource.loadServerData


loadSourceData

▸ loadSourceData(): Promise<AbstractSource&gt;

Returns promise that is resolving when data are ready to process

Returns

Promise<AbstractSource&gt;

Inherited from

AbstractSource.loadSourceData


notify

▸ notify<E&gt;(type, source, args?): Image

Notify listeners

Type parameters

NameType
Eextends string

Parameters

Name Type Description
typeEevent types
sourceImageof the event
Optional argsEventMap[E]arguments of the event

Returns

Image

this

Overrides

AbstractSource.notify


off

▸ off<E&gt;(type?, callback?): Image

Detach listener on event. Calling .off() with no arguments removes all attached listeners. Calling .off(type) with no callback removes all attached listeners for specific type.

Type parameters

NameType
Eextends string

Parameters

Name Type Description
Optional typeEtype of the event
Optional callback(eventType: E, sender: Image, args: EventMap[E]) => voidfunction to be called

Returns

Image

this

Overrides

AbstractSource.off


on

▸ on<E&gt;(type, callback): Image

Attach listener on event that will be called whenever the specified event is delivered to the target <p> If the callback function is already in the list of event listeners for this target, the function is not added a second time. </p> <p> If a particular anonymous function is in the list of event listeners registered for a certain target, and then later in the code, an identical anonymous function is given in an "on" call, the second function will also be added to the list of event listeners for that target. </p>

Type parameters

NameType
Eextends string

Parameters

Name Type Description
typeEtype of event or property
callback(eventType: E, sender: Image, args: EventMap[E]) => voidto be called

Returns

Image

this

Overrides

AbstractSource.on


resetLastQueryParams

▸ Protected resetLastQueryParams(): Image

Resets saved last queried limits and layer

Returns

Image

this

Inherited from

AbstractSource.resetLastQueryParams


setDataReady

▸ Protected setDataReady(isReady, err?): Image

Sets source (current visible) data ready/not ready, changes the corresponding promise

Parameters

Name Type Description
isReadybooleantrue if source data was loaded, false if it needs to be reset
Optional errErrordata loading error (if exists)

Returns

Image

this

Inherited from

AbstractSource.setDataReady


setInflateRatio

▸ setInflateRatio(ratio): Image

Sets image inflate ratio to use

Parameters

Name Type Description
rationumberimage inflate ratio (e.g. 0.2 means the 20% inflation)

Returns

Image

this


setInitialCoordinateSystem

▸ setInitialCoordinateSystem(system): Image

Sets the data initial coordinate system.

Parameters

Name Type Description
systemstring | AbstractSysteminitial coordinate system

Returns

Image

this

Inherited from

AbstractSource.setInitialCoordinateSystem


setMapCoordinateSystem

▸ setMapCoordinateSystem(system): Image

Sets map coordinate system.

Parameters

Name Type Description
systemstring | AbstractSystemmap coordinate system

Returns

Image

this

Inherited from

AbstractSource.setMapCoordinateSystem


setProperties

▸ setProperties(properties?): Image

Sets properties

Parameters

Name Type Description
Optional propertiesOptionsproperties

Returns

Image

this

Inherited from

AbstractSource.setProperties


setQueryParameter

▸ setQueryParameter(param, value?): Image

Sets custom query parameter to add to the data requests

Parameters

Name Type Description
paramstring | Record<string, string | number&gt;parameter name or custom parameters object (in name -> value format)
Optional valuestring | numberparameter value

Returns

Image

this

Inherited from

AbstractSource.setQueryParameter


setServerURL

▸ setServerURL(url): Image

Sets the server url to use for requesting

Parameters

Name Type Description
urlstring | string[]server url

Returns

Image

this

Inherited from

AbstractSource.setServerURL


setSilent

▸ setSilent(bool): Image

Set silent mode

Parameters

Name Type Description
boolbooleanflag to enable silent mode

Returns

Image

this

Inherited from

AbstractSource.setSilent


setSourceTimeout

▸ setSourceTimeout(timeout): Image

Sets timeout

Parameters

Name Type Description
timeoutnumbertimeout

Returns

Image

this


showLayers

▸ showLayers(layers): Image

Sets the server layer name(s) to be shown on the layer

Parameters

Name Type Description
layersstring | number | (string | number)[]layer id(s) to be shown

Returns

Image

this


update

▸ update(): Image

Aborts all the sent requests, resends the last one

Returns

Image

this

Inherited from

AbstractSource.update


getClassName

▸ Static getClassName(): string

Returns

string

Inherited from

AbstractSource.getClassName